Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 123)
@@ -14,11 +14,11 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 26;
+        public static int s_SystemVersion = 27;
 
         /// <summary>
         /// コピー・環境バージョン
         /// </summary>
-        public static int s_UpDateCopyVersion = 1;
+        public static int s_UpDateCopyVersion = 2;
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs	(revision 123)
@@ -256,28 +256,27 @@
             try
             {
                 // データ取得
-                wrk.CompanyCode = int.Parse(objwrk[(int)NameColumn.CompanyCode].ToString());
-                wrk.TargetDate = int.Parse(objwrk[(int)NameColumn.TargetDate].ToString());
-                wrk.SeqNo = int.Parse(objwrk[(int)NameColumn.SeqNo].ToString());
-                wrk.LineCount = int.Parse(objwrk[(int)NameColumn.LineCount].ToString());
-                wrk.BillPrice = long.Parse(objwrk[(int)NameColumn.BillPrice].ToString());
-                wrk.DiscountPrice = long.Parse(objwrk[(int)NameColumn.DiscountPrice].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.CompanyCode])) wrk.CompanyCode = int.Parse(objwrk[(int)NameColumn.CompanyCode].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.TargetDate])) wrk.TargetDate = int.Parse(objwrk[(int)NameColumn.TargetDate].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.SeqNo])) wrk.SeqNo = int.Parse(objwrk[(int)NameColumn.SeqNo].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.LineCount])) wrk.LineCount = int.Parse(objwrk[(int)NameColumn.LineCount].ToString());
 
-                wrk.OffsetPrice = long.Parse(objwrk[(int)NameColumn.OffsetPrice].ToString());
-                wrk.NextCoPrice = long.Parse(objwrk[(int)NameColumn.NextCoPrice].ToString());
-                wrk.HighwPrice = long.Parse(objwrk[(int)NameColumn.HighwPrice].ToString());
-                wrk.HardwPrice = long.Parse(objwrk[(int)NameColumn.HardwPrice].ToString());
-                wrk.IndsWasteTax = long.Parse(objwrk[(int)NameColumn.IndsWasteTax].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.BillPrice])) wrk.BillPrice = long.Parse(objwrk[(int)NameColumn.BillPrice].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.DiscountPrice])) wrk.DiscountPrice = long.Parse(objwrk[(int)NameColumn.DiscountPrice].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.OffsetPrice])) wrk.OffsetPrice = long.Parse(objwrk[(int)NameColumn.OffsetPrice].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.NextCoPrice])) wrk.NextCoPrice = long.Parse(objwrk[(int)NameColumn.NextCoPrice].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.HighwPrice])) wrk.HighwPrice = long.Parse(objwrk[(int)NameColumn.HighwPrice].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.HardwPrice])) wrk.HardwPrice = long.Parse(objwrk[(int)NameColumn.HardwPrice].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.IndsWasteTax])) wrk.IndsWasteTax = long.Parse(objwrk[(int)NameColumn.IndsWasteTax].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.CnstrPrice])) wrk.CnstrPrice = long.Parse(objwrk[(int)NameColumn.CnstrPrice].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.CnstrPriceExist])) wrk.CnstrPriceExist = int.Parse(objwrk[(int)NameColumn.CnstrPriceExist].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.ApprovalPersonCode])) wrk.ApprovalPersonCode = int.Parse(objwrk[(int)NameColumn.ApprovalPersonCode].ToString());
 
-                wrk.CnstrPrice = long.Parse(objwrk[(int)NameColumn.CnstrPrice].ToString());
-                wrk.CnstrPriceExist = int.Parse(objwrk[(int)NameColumn.CnstrPriceExist].ToString());
-                wrk.ApprovalPersonCode = int.Parse(objwrk[(int)NameColumn.ApprovalPersonCode].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.ApprovalDate])) wrk.ApprovalDate = DateTime.Parse(objwrk[(int)NameColumn.ApprovalDate].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.ApprovalEndFlg])) wrk.ApprovalEndFlg = int.Parse(objwrk[(int)NameColumn.ApprovalEndFlg].ToString());
 
-                wrk.ApprovalDate = DateTime.Parse(objwrk[(int)NameColumn.ApprovalDate].ToString());
-                wrk.ApprovalEndFlg = int.Parse(objwrk[(int)NameColumn.ApprovalEndFlg].ToString());
-
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.EntryDate])) wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.UpdateDate])) wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 123)
@@ -303,6 +303,7 @@
 
             }
         }
+
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -320,6 +321,12 @@
         /// <param name="e"></param>
         private void FrmMaterialReserveEntry_Load(object sender, EventArgs e)
         {
+            // 工事情報が選択されていない時
+            if (this.ConstructionCode == 0)
+            {
+                this.Close();
+                return;
+            }
 
             // ロックを実行する為
             try
@@ -356,7 +363,6 @@
             // *-----* 処理移動ボタン設定 *-----*
             CreateProcessContextMenu(m_SubForm);
             // *-----* 処理移動ボタン設定 *-----*
-
         }
 
         /// <summary>
@@ -383,6 +389,7 @@
                     r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
             }
         }
+
         /// <summary>
         /// 行追加ボタン押下
         /// </summary>
@@ -1703,7 +1710,5 @@
         }
     #endregion
 
-
-
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 123)
@@ -24,7 +24,7 @@
 using ProcessManagement.Forms.CustomControls;
 using ProcessManagement.Forms.ControlsAction;
 
-//*------------------------ 単位マスタメンテ画面 ----------------------*
+//*------------------------ 資材返却画面 ----------------------*
 //  2015/07/14  Ver1.0.0.0      Create Source           
 //
 //
@@ -209,6 +209,7 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -226,6 +227,13 @@
         /// <param name="e"></param>
         private void FrmMaterialReturnEntry_Load(object sender, EventArgs e)
         {
+            // 工事情報が選択されていない時
+            if (this.ConstructionCode == 0)
+            {
+                this.Close();
+                return;
+            }
+
             // 初期表示
             InitDataLoad();
 
@@ -273,6 +281,7 @@
                     r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
             }
         }
+
         /// <summary>
         /// 行追加ボタン押下
         /// </summary>
@@ -448,7 +457,6 @@
             }
         }
 
-
         /// <summary>
         /// セルクリック
         /// </summary>
@@ -586,7 +594,7 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-      }
+        }
 
         /// <summary>
         /// データ登録
@@ -1019,8 +1027,5 @@
 
         #endregion
 
-
-
-
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 123)
@@ -377,7 +377,7 @@
                 }
 
                 // 空文字も無視
-                if (dgv1[tcol, trow].Value == string.Empty)
+                if (dgv1[tcol, trow].Value.ToString() == string.Empty)
                 {
                     return;
                 }
